<script setup>
import Header from '@/Components/Header.vue';
import { Head, Link } from '@inertiajs/vue3';
const props = defineProps({
    items: Object,
    type: String,
});
const types = {
    'materials': {
        name: 'Материалы',
        single: 'Материал',
        add: 'материал',
    },
    'measureunits': {
        name: 'Единицы измерения',
        single: 'Единица измерения',
        add: 'единицу измерения',
    }
}
</script>

<template>
    <Head :title="types[props.type].name" />
    <div class="fullwrap">
        <Header />
        <main class="main">
            <div class="container">
                <div class="page__title">
                    {{ types[props.type].name }}
                </div>
                <div class="index__row">
                    <div class="index__header index__item">
                        <div class="index__field">
                            ID
                        </div>
                        <div class="index__field">
                            {{ types[props.type].single }}
                        </div>
                        <div class="index__field">
                            Короткое название
                        </div>
                        <div class="index__actions">
                            Действия
                        </div>
                    </div>
                    <template v-for="item in props.items">
                        <Link :href='"/" + props.type + "/" + item.id' class="index__item">
                        <div class="index__field">
                            {{ item.id }}
                        </div>
                        <div class="index__field">
                            {{ item.name }}
                        </div>
                        <div class="index__field">
                            {{ item.short_name }}
                        </div>
                        <div class="index__actions">
                            <div class="index__button">
                                Изменить
                            </div>
                        </div>

                        </Link>
                    </template>
                </div>
                <Link :href='"/" + props.type + "/add"' class="page__button">Добавить {{ types[props.type].add }}</Link>
            </div>
        </main>
    </div>
</template>
